#include "mbed.h"
#include "MMA8451Q.h"

#define MMA8451_I2C_ADDRESS (0x1d<<1)

Serial pc(USBTX, USBRX);
MMA8451Q acc(PTE25, PTE24, MMA8451_I2C_ADDRESS);

int main()
{
    while(1)
    {
        pc.printf("%.2f, %.2f, %.2f\n", acc.getAccX(), acc.getAccY(), acc.getAccZ());
        wait(2);
    }
}